# Python script
# by Jakub Imriska, ITP, ETH Zurich, 2013-2014
# for course on Mechanics of Continua by Vadim Geshkenbein (FS 2014)
# Homework 10.4
# Task: find the stationary 2-dimensional flow of viscous incompressible fluid around a rectangular barrier

# INPUT PARAMETERS 

# the physical Reynolds number = v_0 * 2W / kinematic_viscosity; v_0 is the typical flow velocity, 2*W is the width of the barrier
physical_Re = 24.0

# debug_mode will ignore the barrier
debug_mode = False

# geometry of the problem, in arbitrary length units (alu)
L = 37    # horizontal size (along the flow) of the examined piece of pipeline in alu
F = 8     # horizontal size in front of barrier in alu
T = 1     # horizontal size of the barrier in alu
H = 4     # vertical size of the upper half of the pipeline in alu
W = 1     # vertical size of the upper half of the barrier in alu

# discretization of the problem
points_per_unit_length = 2       # number of discretization points per length unit alu (integer)
Nx = L*points_per_unit_length+1  # horizontal discretization (along the flow) of the examined piece of pipeline
a = F*points_per_unit_length     # horizontal discretization in front of barrier
t = T*points_per_unit_length     # horizontal discretization of the barrier
Ny = H*points_per_unit_length+1  # vertical discretization of the upper half of the pipeline
w = W*points_per_unit_length     # vertical discretization of the upper half of the barrier
lattice_Re = physical_Re/(2.*w)  # the lattice Reynolds number = v_0 * h / kinematic_viskosity; h is the discretization length
